Class | Amalgalite::Database::TransactionBehavior
In: | lib/amalgalite/database.rb lib/amalgalite/database.rb
Parent: | Object

container class for holding transaction behavior constants. These are the SQLite values passed to a START TRANSACTION SQL statement.

### Methods

valid? valid?

### Constants

DEFERRED | = | "DEFERRED" |  | no read or write locks are created until the first statement is executed that requries a read or a write
IMMEDIATE | = | "IMMEDIATE" |  | a readlock is obtained immediately so that no other process can write to the database
EXCLUSIVE | = | "EXCLUSIVE" |  | a read+write lock is obtained, no other proces can read or write to the database
VALID | = | [ DEFERRED, IMMEDIATE, EXCLUSIVE ] |  | list of valid transaction behavior constants
DEFERRED | = | "DEFERRED" |  | no read or write locks are created until the first statement is executed that requries a read or a write
IMMEDIATE | = | "IMMEDIATE" |  | a readlock is obtained immediately so that no other process can write to the database
EXCLUSIVE | = | "EXCLUSIVE" |  | a read+write lock is obtained, no other proces can read or write to the database
VALID | = | [ DEFERRED, IMMEDIATE, EXCLUSIVE ] |  | list of valid transaction behavior constants

### Public Class methods

valid?( mode )

is the given mode a valid transaction mode

valid?( mode )

is the given mode a valid transaction mode

[Validate]